• Glances: hace 3 kernel que no funciona


    Como dice el asunto Glances hace 3 kernel que no funciona tanto en LTS como en el actual:

    $ uname -r
    4.10.3-1-ARCHte
    
    

    Obviamente no es imprescindible que lo haga ya que ahi otros como Htop o el mismisimo Top en consola, pero bueno, tira el error en tales lineas, cuales no se como repararlo:

    $ glances
    Traceback (most recent call last):
      File "/usr/bin/glances", line 11, in <module>
        load_entry_point('Glances==2.8.8', 'console_scripts', 'glances')()
      File "/usr/lib/python3.6/site-packages/glances/__init__.py", line 225, in main
        start_standalone(config=config, args=args)
      File "/usr/lib/python3.6/site-packages/glances/__init__.py", line 105, in start_standalone
        standalone = GlancesStandalone(config=config, args=args)
      File "/usr/lib/python3.6/site-packages/glances/standalone.py", line 43, in __init__
        self.stats = GlancesStats(config=config, args=args)
      File "/usr/lib/python3.6/site-packages/glances/stats.py", line 43, in __init__
        self.load_modules(self.args)
      File "/usr/lib/python3.6/site-packages/glances/stats.py", line 77, in load_modules
        self.load_plugins(args=args)
      File "/usr/lib/python3.6/site-packages/glances/stats.py", line 105, in load_plugins
        self._plugins[plugin_name] = plugin.Plugin(args=args)
      File "/usr/lib/python3.6/site-packages/glances/plugins/glances_sensors.py", line 53, in __init__
        self.glancesgrabsensors = GlancesGrabSensors()
      File "/usr/lib/python3.6/site-packages/glances/plugins/glances_sensors.py", line 229, in __init__
        self.stemps = psutil.sensors_temperatures()
      File "/usr/lib/python3.6/site-packages/psutil/__init__.py", line 2212, in sensors_temperatures
        rawdict = _psplatform.sensors_temperatures()
      File "/usr/lib/python3.6/site-packages/psutil/_pslinux.py", line 1110, in sensors_temperatures
        current = float(cat(base + '_input')) / 1000.0
      File "/usr/lib/python3.6/site-packages/psutil/_pslinux.py", line 299, in cat
        return f.read().strip()
    OSError: [Errno 22] Argumento inválido
    
    

    Gracias por adelantado

  • Aqui ahi algo en foro Arch ingles, pero no lo entiendo…

    https://bbs.archlinux.org/viewtopic.php?id=206269

    En Arch funciona perfectamente:

    [[email protected] ~]$ uname -rs
    Linux 4.10.3-1-ARCH
    
    

    0_1490018115850_glances.png

  • Hola !

    Perdón por reflotar este post. Pero es que ahora si funciona con este ultima kernel y en Antergos :) ;)

    $ uname -rs
    Linux 4.10.6-1-ARCH
    
    

    0_1491336831143_GLANCES.png

kernel84 funciona3 hace1 glances1 Posts 3Views 284
Log in to reply
Bloom Email Optin Plugin

Looks like your connection to Antergos Community Forum was lost, please wait while we try to reconnect.